package ru.ulstu.fc.project.model;

import java.util.Date;

import jakarta.persistence.CascadeType;
import jakarta.persistence.Entity;
import jakarta.persistence.ManyToOne;
import jakarta.validation.constraints.NotEmpty;
import ru.ulstu.fc.core.model.BaseEntity;
import ru.ulstu.fc.user.model.User;

@Entity
public class Project extends BaseEntity {
    @NotEmpty(message = "Текст новости не может быть пустым")
    private String name;
    private Date createDate = new Date();
    @ManyToOne(cascade = CascadeType.MERGE)
    private User user;

    public Project() {
    }

    public Project(ProjectForm projectForm) {
        if (projectForm.getId() != null) {
            setId(projectForm.getId());
        }
        this.name = projectForm.getName();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }
}
