package ru.ulstu.fc.project.service;

import java.util.Collections;
import java.util.List;

import org.springframework.stereotype.Service;

import ru.ulstu.fc.rule.repository.VariableRepository;
import ru.ulstu.fc.rule.model.Variable;

@Service
public class ProjectVariableService {
    private final VariableRepository variableRepository;
    private final ProjectService projectService;

    public ProjectVariableService(VariableRepository variableRepository,
            ProjectService projectService) {
        this.variableRepository = variableRepository;
        this.projectService = projectService;
    }

    public List<Variable> getByProjectId(Integer projectId) {
        if (projectId == null || projectId == 0) {
            return Collections.emptyList();
        }
        return variableRepository.findByProject(projectService.getById(projectId));
    }
}
