package ru.ulstu.fc.user.repository;

import org.springframework.data.jpa.repository.EntityGraph;
import org.springframework.data.jpa.repository.JpaRepository;
import ru.ulstu.fc.user.model.User;

public interface UserRepository extends JpaRepository<User, Integer> {
    User findOneByLoginIgnoreCase(String login);

    @EntityGraph(attributePaths = "roles")
    User findOneWithRolesById(int id);

    @EntityGraph(attributePaths = "roles")
    User findOneWithRolesByLogin(String login);
}
